LXRAD 0.7

Public Member Functions
CXpmButton Class Reference

Image Control. More...

`#include <cxpmbutton.h>`

Inheritance diagram for CXpmButton:

## Public Member Functions
int | Create (CControl *control)
lxStringList | GetContext (void)
void | SetContext (lxStringList context)
void | SetImgData (const char **data)
void | SetImgFileName (lxString imgfilename)
lxString | GetImgFileName (void)
void | SetText (lxString t)
lxString | GetText (void)
void | key_press (wxKeyEvent *event)
void | key_release (wxKeyEvent *event)
Public Member Functions inherited from CControl
virtual void | SetName (const lxString name)
lxString | GetName (void)
CWindow * | GetWin (void)
void | SetWin (CWindow *win)
virtual wxWindow * | GetWidget (void)
virtual void | Event (wxEvent &event)
virtual int | Create (CControl *control)
virtual void | Destroy (void)
virtual void | Erase (void)
virtual void | Draw (void)
virtual void | Update (void)
lxStringList | GetContext (void)
void | SetContext (lxStringList context)
void | SetDragAcceptFiles (bool accept)
void | SetFont (const lxString font)
lxString | GetFontName (void)
void | SetFontSize (uint size)
uint | GetFontSize (void)
virtual void | SetX (int x)
virtual int | GetX (void)
virtual void | SetY (int y)
virtual int | GetY (void)
virtual void | SetBorder (uint border)
uint | GetBorder (void)
virtual void | SetWidth (unsigned w)
virtual uint | GetWidth (void)
virtual void | SetHeight (unsigned h)
virtual uint | GetHeight (void)
void | SetWid (int wid)
long | GetWid (void)
virtual void | SetColorName (const lxString name)
virtual void | SetColor (unsigned r, unsigned g, unsigned b)
virtual void | SetColor (wxColor color)
wxColor | GetColor (void)
virtual void | SetEnable (bool enable)
virtual bool | GetEnable (void)
void | SetOwner (CControl *control)
CControl * | GetOwner (void)
void | SetVisible (bool visible, bool update=true)
bool | GetVisible (void)
bool | GetCanVisible (void)
void | SetPopupMenu (CPMenu *popupmenu)
void | SetFocus (void)
bool | GetFocus (void)
void | SetCanFocus (bool canfocus)
bool | GetCanFocus (void)
bool | GetDynamic (void)
int | GetChildCount (void)
void | SetHint (lxString hint)
lxString | GetHint (void)
CControl * | GetChild (uint child)
virtual CControl * | GetChildByWidget (wxWindow *widget)
CControl * | GetChildByWid (long wid)
CControl * | GetChildByName (const lxString child)
virtual void | CreateChild (CControl *control, bool onlyput=false)
virtual void | DestroyChild (CControl *control)
virtual void | DestroyChilds (void)
virtual void | WriteXMLContext (lxString filename, bool first=true)
virtual void | LoadXMLContext (lxString filename)
void | SetCanExecuteEvent (bool can)
bool | GetCanExecuteEvent (void)
void * | operator new (size_t sz)
void | operator delete (void *p)
void | SetFOwner (CControl *control)
CControl * | GetFOwner (void)
virtual void | mouse_move (wxMouseEvent *event)
virtual void | button_press (wxMouseEvent *event)
virtual void | button_release (wxMouseEvent *event)
virtual void | key_press (wxKeyEvent *event)
virtual void | key_release (wxKeyEvent *event)
virtual void | focus_in (wxMouseEvent *event)
virtual void | focus_out (wxMouseEvent *event)
virtual void | on_draw (wxPaintEvent *event)
virtual void | mouse_wheel (wxMouseEvent *event)
virtual void | on_drop_files (wxDropFilesEvent *event)
Public Member Functions inherited from CObject
void | SetName (const lxString name)
lxString | GetName (void)
lxString | GetClass (void)
void | SetClass (const lxString classn)
virtual lxStringList | GetContext (void)
virtual void | SetContext (lxStringList context)
bool | GetEv (bool reset=false)
void | SetEv (bool value, bool reset=false)
void | SetTag (uint tag)
uint | GetTag (void)
void | SetAux (int tag)
int | GetAux (void)

## Additional Inherited Members
Data Fields inherited from CControl
void(CControl::* | EvMouseMove )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonPress )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonRelease )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonClick )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvMouseButtonDoubleClick )(CControl *control, const uint button, const uint x, const uint y, const uint mask)
void(CControl::* | EvKeyboardPress )(CControl *control, const uint keyval, const uint hardware_keycode, const uint state)
void(CControl::* | EvKeyboardRelease )(CControl *control, const uint keyval, const uint hardware_keycode, const uint state)
void(CControl::* | EvOnDraw )(CControl *control)
void(CControl::* | EvOnFocusIn )(CControl *control)
void(CControl::* | EvOnFocusOut )(CControl *control)
void(CControl::* | EvMouseWheel )(CControl *control, const int rotation)
void(CControl::* | EvOnDropFile )(CControl *control, const lxString fname)
Protected Member Functions inherited from CControl
virtual int | CEvent (int event)
Protected Attributes inherited from CControl
CControl * | FOwner
| function owner control More...
CControl * | ControlOnFocus
| Control On Focus. More...
wxWindow * | Widget
| Object wxWidget. More...
long | Wid
| wx ID More...
bool | Dynamic
| Dynamic Object? More...
bool | CanFocus
| CanFocus ? More...
bool | CanExecuteEvent
| Can Execute Event ? More...
bool | CanVisible
| Can be Visible ? More...
bool | DragAcceptFiles
bool | Enable
int | X
int | Y
uint | Width
uint | Height
uint | Border
lxString | ColorName
unsigned char | ColorRGB [3]
CControl ** | Child
int | ChildCount
lxString | FontName
uint | FontSize
CControl * | Owner
bool | Visible
CPMenu * | PopupMenu
CWindow * | Win
lxString | Hint
unsigned long int | BTimePress
unsigned long int | BTimeRelease
unsigned long int | BTimeClick
Protected Attributes inherited from CObject
bool | Ev [EVMAX]
uint | Evcount
lxString | Name
lxString | Class
lxStringList | Context
uint | Tag
int | Aux

## Detailed Description

Image Control.

Generic XpmButton Control Class.

Definition at line 42 of file cxpmbutton.h.

## Member Function Documentation

## ◆ Create()

int CXpmButton::Create | ( | CControl * | control | ) |
| virtual

Reimplemented from CControl.

## ◆ GetContext()

lxStringList CXpmButton::GetContext | ( | void |  | ) |
| virtual

Get XML Context Name.

Returns
  XML context.

Reimplemented from CControl.

## ◆ key_press()

void CXpmButton::key_press | ( | wxKeyEvent * | event | ) |
| virtual

Reimplemented from CControl.

## ◆ key_release()

void CXpmButton::key_release | ( | wxKeyEvent * | event | ) |
| virtual

Reimplemented from CControl.

## ◆ SetContext()

void CXpmButton::SetContext | ( | lxStringList | context | ) |
| virtual

Set XML Context .

Parameters

  context | XML context.

Returns
  void.

Reimplemented from CControl.

The documentation for this class was generated from the following file:

- include/cxpmbutton.h